LinuxQuestions.org
LinuxAnswers - the LQ Linux tutorial section.
Go Back   LinuxQuestions.org > Forums > Linux Forums > Linux - Distributions > Fedora
User Name
Password
Fedora This forum is for the discussion of the Fedora Project.

Notices

Reply
 
Search this Thread
Old 08-17-2005, 02:35 AM   #1
rhoekstra
Member
 
Registered: Aug 2004
Location: The Netherlands
Distribution: RedHat 2, 3, 4, 5, Fedora, SuSE, Gentoo
Posts: 354

Rep: Reputation: 40
uvscan on FC4, libstdc++.so.2.8 problems


Hi,

Yesterday I have upgraded my mail server to FC4. As early adopter I understand things can and will break.. (and they did).

One of the things I am not happy about is that my virus scanner isn't working anymore. it's uvscan from McAfee. I am unsure which version, as it cannot report that to me anymore.

The binary requires libstdc++.so.2.8 which isn't in the compat rpms from fc4 anymore.

Either I should need a newer version of the binary or another way for compat libraries to put on my system.

Are the compat libraries for fc3 usable on fc4? are compat libraries depending on the package libstdc++ itself?? Or are they 'stand-alone'.

For the record, a couple of years ago my ISP, which is providing me the license to use mcafee, shared the software to use mcafee uvscan on linux. But they don't share new versions anymore.

Thanks in advance.
 
Old 09-08-2005, 04:25 PM   #2
ForgeGuy1
LQ Newbie
 
Registered: Sep 2005
Posts: 2

Rep: Reputation: 0
RE: uvscan on FC4, libstdc++.so.2.8 problems, any solution?

Hi rhoekstra,

I'm in a very similar situation, although my install was a fresh install of FC4 using McAfee 440. Have you been able to get this to work? I've found some links and other suggestions online pointing to exporting like the following:

export LD_PRELOAD=/lib/libc.so.6

But it doesn't do anything for me.

Have you been able to get it working? Any help you could provide would be invaluable!

Best Regards,

-Jason
 
Old 09-09-2005, 12:59 AM   #3
rhoekstra
Member
 
Registered: Aug 2004
Location: The Netherlands
Distribution: RedHat 2, 3, 4, 5, Fedora, SuSE, Gentoo
Posts: 354

Original Poster
Rep: Reputation: 40
In the mean time, yes, I have been able to get it working again..

There are two releases NAI has made for Linux, the vlnx440 and the vlnxp440, which is P4 optimized, but ALSO uses newer libraries..

It works great. If you can get hold of the vlnxp440 variant you're up and running again.
 
Old 09-09-2005, 10:50 AM   #4
ForgeGuy1
LQ Newbie
 
Registered: Sep 2005
Posts: 2

Rep: Reputation: 0
SWEET!

Awesome, I ended up finding the other version just after posting back to your thread. Thank you for following up!! I grabbed the wrong file from McAfee in the first place.


All The Best,

-Jason
 
Old 09-19-2005, 08:54 PM   #5
Duras
LQ Newbie
 
Registered: Sep 2005
Posts: 1

Rep: Reputation: 0
I've been using uvscan for some time now and have just started building a new FC4 server. I ran into the same problem. I got a eval 440 version from Mcafee but didn't see the "P" version anywhere. No luck finding it anywhere.

Can either of you point me in the right direction?

Thanks
 
Old 10-21-2005, 08:13 AM   #6
jgt
LQ Newbie
 
Registered: Apr 2004
Location: Catalonia
Posts: 9

Rep: Reputation: 0
I've found the same problem and I've solved installing compat-libstdc++-7.3-2.96.126.i386.rpm from FC2.
It runs fine too.
 
Old 10-21-2005, 08:28 AM   #7
rhoekstra
Member
 
Registered: Aug 2004
Location: The Netherlands
Distribution: RedHat 2, 3, 4, 5, Fedora, SuSE, Gentoo
Posts: 354

Original Poster
Rep: Reputation: 40
I can NOT say that is a wise thing to do.

as glibc compat libraries are quite crucial to your system.. I would not advice to install compat libraries from another Fedora install..

But if it works for you... it's you who risks instability..

or is my assumption / statement not correct?
 
Old 11-01-2005, 04:06 AM   #8
antoniobrandao
LQ Newbie
 
Registered: Nov 2005
Posts: 1

Rep: Reputation: 0
http://download.nai.com/products/eva...nxp4432e.tar.Z

Quote:
Originally posted by Duras
I've been using uvscan for some time now and have just started building a new FC4 server. I ran into the same problem. I got a eval 440 version from Mcafee but didn't see the "P" version anywhere. No luck finding it anywhere.

Can either of you point me in the right direction?

Thanks
 
  


Reply


Thread Tools Search this Thread
Search this Thread:

Advanced Search

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is Off
HTML code is Off


Similar Threads
Thread Thread Starter Forum Replies Last Post
libstdc++.so.5 problems lashnjo Linux - Software 17 11-29-2010 06:53 PM
FC4 doesn't have libstdc++.so.5 but libstdc++.so.6 baosheng Fedora 14 04-06-2008 10:08 AM
Realplayer wont launch on FC4 - cannot find libstdc++.so.5 pacificred Linux - Software 1 07-27-2005 04:12 PM
mismatched rpm versions of libstdc++ and libstdc++-devel pcweirdo Linux - Software 8 11-29-2004 09:30 AM
uvscan hangs kogkog Linux - Software 1 06-29-2004 06:53 AM


All times are GMT -5. The time now is 07:39 AM.

Main Menu
My LQ
Write for LQ
LinuxQuestions.org is looking for people interested in writing Editorials, Articles, Reviews, and more. If you'd like to contribute content, let us know.
Main Menu
Syndicate
RSS1  Latest Threads
RSS1  LQ News
Twitter: @linuxquestions
identi.ca: @linuxquestions
Facebook: linuxquestions Google+: linuxquestions
Open Source Consulting | Domain Registration